%define upstream_name    Net-GraphSpace
%define upstream_version 0.0009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    API bindings for GraphSpace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildArch:  noarch

%description
Net::GraphSpace provides bindings for the GraphSpace API. GraphSpace is a
web based graph/network visualization tool and data store. See the
http://graphspace.org manpage for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.900-11.mga10
+ Revision: 2207843
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.0.900-10.mga9
+ Revision: 1817249
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.900-9.mga8
+ Revision: 1495859
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.900-8.mga7
+ Revision: 1269910
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.900-7.mga6
+ Revision: 1031082
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.900-6.mga6
+ Revision: 944157
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.900-5.mga5
+ Revision: 743913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.900-4.mga5
+ Revision: 685660
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.900-3.mga4
+ Revision: 513379
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.900-2.mga3
+ Revision: 370629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.0.900-1.mga2
+ Revision: 178243
- update to 0.0009

* Sat Nov 26 2011 kharec <kharec> 0.0.800-1.mga2
+ Revision: 172169
- update to 0.0008

* Sat Nov 26 2011 kharec <kharec> 0.0.700-1.mga2
+ Revision: 172134
- imported package perl-Net-GraphSpace


* Sat Nov 26 2011 cpan2dist 0.0007-1mga
- initial mageia release, generated with cpan2dist
